<%@ Control Language="C#" AutoEventWireup="true" Codebehind="usrEmpList.ascx.cs"
    Inherits="usrResmgmt.usrEmpList" %>
<%@ Register Assembly="System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
    Namespace="System.Web.UI" TagPrefix="asp" %>
<%@ Register Assembly="Infragistics35.Web.v9.1, Version=9.1.20091.2190, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics2.WebUI.Misc.v9.1, Version=9.1.20091.2190, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.WebUI.Misc" TagPrefix="igmisc" %>
<link href="ResMgmt.css" rel="stylesheet" type="text/css" />

<script type="text/javascript" src="uc.js">
 
</script>

<div>
    <center>
        <igmisc:WebAsyncRefreshPanel ID="WebAsyncRefreshPanel1" runat="server" Height="100%"
            Width="100%" TriggerControlIDs="btnReset" RefreshTargetIDs="WebDataGrid1">
            <igmisc:WebGroupBox ID="grpTimeFrame" runat="server" Text="Time Frame" Width="100%"
                Font-Size="20px">
                <Template>
                    <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; text-align: left;
                        line-height: 36px; background-color: #F7F6F3; font-family: Verdana; font-size: 12px;">
                        <tr>
                            <td style="width: 64px">
                            </td>
                            <td align="left" style="width: 75px; vertical-align: top;">
                                <asp:Label ID="lblTimeFrame" Text="Time Frame" runat="server"></asp:Label>
                            </td>
                            <td align="left">
                                &nbsp;<asp:ListBox ID="lstTimeFrame" runat="server" Width="150px" SelectionMode="Multiple">
                                    <asp:ListItem>Jan1 - Jan15</asp:ListItem>
                                    <asp:ListItem>Jan16 - Jan31</asp:ListItem>
                                    <asp:ListItem>Feb1 - Feb15</asp:ListItem>
                                    <asp:ListItem>Feb16 - Feb29</asp:ListItem>
                                    <asp:ListItem>Mar1 - Mar15</asp:ListItem>
                                    <asp:ListItem>Mar16 - Mar31</asp:ListItem>
                                    <asp:ListItem>Apr1 - Apr15</asp:ListItem>
                                    <asp:ListItem>Apr16 - Apr30</asp:ListItem>
                                    <asp:ListItem>May1 - May15</asp:ListItem>
                                    <asp:ListItem>May16 - May31</asp:ListItem>
                                    <asp:ListItem>June1 - June15</asp:ListItem>
                                    <asp:ListItem>June16 - June30</asp:ListItem>
                                    <asp:ListItem>July1 - July15</asp:ListItem>
                                    <asp:ListItem>July16 - July31</asp:ListItem>
                                    <asp:ListItem>Aug1 - Aug15</asp:ListItem>
                                    <asp:ListItem>Aug16 - Aug31</asp:ListItem>
                                    <asp:ListItem>Sept1 - Sept15</asp:ListItem>
                                    <asp:ListItem>Sept16 - Sept30</asp:ListItem>
                                    <asp:ListItem>Oct1 - Oct15</asp:ListItem>
                                    <asp:ListItem>Oct15 - Oct31</asp:ListItem>
                                    <asp:ListItem>Nov1 - Nov15</asp:ListItem>
                                    <asp:ListItem>Nov16 - Nov30</asp:ListItem>
                                    <asp:ListItem>Dec1 - Dec15</asp:ListItem>
                                    <asp:ListItem>Dec16 - Dec31</asp:ListItem>
                                </asp:ListBox></td>
                        </tr>
                    </table>
                </Template>
            </igmisc:WebGroupBox>
            <igmisc:WebGroupBox ID="grpUserReg" runat="server" Text="Employee List" Width="100%"
                Font-Size="20px" StyleSetName="" TitleAlignment="Left">
                <Template>
                    <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; text-align: center;
                        line-height: 36px; background-color: #F7F6F3; font-family: Verdana; font-size: 12px;">
                        <tr>
                            <td style="overflow: auto;" valign="top" align="center" colspan="3">
                                <ig:WebDataGrid ID="WebDataGrid1" runat="server" Height="350px" Width="90%" OnDataBound="WebDataGrid1_DataBound"
                                    AutoGenerateColumns="False" OnInitializeRow="WebDataGrid1_InitializeRow" EnableDataViewState="true"
                                    DataKeyFields="EmpID">
                                    <Columns>
                                        <ig:TemplateDataField Key="Employee Code" CssClass="LAlign">
                                            <ItemTemplate>
                                                <asp:Label ID="lblEmpCode" runat="server"><%# DataBinder.Eval(((Infragistics.Web.UI.TemplateContainer)Container).DataItem, "Employee Code") %></asp:Label>
                                            </ItemTemplate>
                                            <Header Text="Employee Code" />
                                        </ig:TemplateDataField>
                                        <ig:TemplateDataField Key="Name" CssClass="LAlign">
                                            <ItemTemplate>
                                                <asp:Label ID="lblName" runat="server" Text='<%# DataBinder.Eval(((Infragistics.Web.UI.TemplateContainer)Container).DataItem, "Name") %>'> <%# DataBinder.Eval(((Infragistics.Web.UI.TemplateContainer)Container).DataItem, "Name") %></asp:Label>
                                            </ItemTemplate>
                                            <Header Text="Name" />
                                        </ig:TemplateDataField>
                                        <ig:TemplateDataField Key="Manager" CssClass="LAlign">
                                            <ItemTemplate>
                                                <asp:Label ID="lblMgr" runat="server"><%# DataBinder.Eval(((Infragistics.Web.UI.TemplateContainer)Container).DataItem, "Manager") %></asp:Label>
                                            </ItemTemplate>
                                            <Header Text="Manager" />
                                        </ig:TemplateDataField>
                                        <ig:TemplateDataField Key="Projects" CssClass="LAlign">
                                            <ItemTemplate>
                                                <asp:DropDownList ID="ddlProjects" runat="server">
                                                </asp:DropDownList>
                                            </ItemTemplate>
                                            <Header Text="Projects" />
                                        </ig:TemplateDataField>
                                        <ig:TemplateDataField Key="Billable" CssClass="MAlign">
                                            <ItemTemplate>
                                                <asp:CheckBox ID="chkBillable" runat="server" Checked='<%#Convert.ToBoolean(DataBinder.Eval(((Infragistics.Web.UI.TemplateContainer)Container).DataItem, "Billable")) %>'>
                                                </asp:CheckBox>
                                            </ItemTemplate>
                                            <Header Text="Billable" />
                                        </ig:TemplateDataField>
                                        <ig:TemplateDataField Key="EmpID" CssClass="hideColumn">
                                            <ItemTemplate>
                                                <asp:Label ID="lblEmpID" runat="server" Text='<%# DataBinder.Eval(((Infragistics.Web.UI.TemplateContainer)Container).DataItem, "EmpID") %>'><%# DataBinder.Eval(((Infragistics.Web.UI.TemplateContainer)Container).DataItem, "EmpID") %></asp:Label>
                                            </ItemTemplate>
                                            <Header Text="EmpID" />
                                        </ig:TemplateDataField>
                                        <ig:TemplateDataField Key="MgrID" CssClass="hideColumn">
                                            <ItemTemplate>
                                                <asp:Label ID="lblMgrID" runat="server" Text='<%# DataBinder.Eval(((Infragistics.Web.UI.TemplateContainer)Container).DataItem, "MgrID") %>'><%# DataBinder.Eval(((Infragistics.Web.UI.TemplateContainer)Container).DataItem, "MgrID") %></asp:Label>
                                            </ItemTemplate>
                                            <Header Text="MgrID" />
                                        </ig:TemplateDataField>
                                        <ig:TemplateDataField Key="EmpSysLogId" CssClass="LAlign">
                                            <ItemTemplate>
                                                <asp:Label ID="lblEmpSysLogId" runat="server" Text='<%# DataBinder.Eval(((Infragistics.Web.UI.TemplateContainer)Container).DataItem, "EmpSysLogId") %>'> <%# DataBinder.Eval(((Infragistics.Web.UI.TemplateContainer)Container).DataItem, "EmpSysLogId")%></asp:Label>
                                            </ItemTemplate>
                                            <Header Text="Sys Login ID" />
                                        </ig:TemplateDataField>
                                    </Columns>
                                    <ClientEvents Initialize="GridInit" />
                                </ig:WebDataGrid>
                            </td>
                        </tr>
                    </table>
                </Template>
            </igmisc:WebGroupBox>
            <igmisc:WebGroupBox ID="WebGroupBox1" runat="server" Width="100%" Font-Size="20px">
                <Template>
                    <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; text-align: center;
                        line-height: 36px; background-color: #F7F6F3; font-family: Verdana; font-size: 12px;">
                        <tr>
                            <td style="width: 1000px">
                            </td>
                            <td align="center" style="height: 24px">
                                <asp:Button ID="btnAssign" runat="server" Text="Assign" OnClick="btnAssign_Click" />
                                <asp:Button ID="btnReset" runat="server" Text="Reset" OnClick="btnReset_Click" CausesValidation="False" />
                            </td>
                        </tr>
                    </table>
                </Template>
            </igmisc:WebGroupBox>
        </igmisc:WebAsyncRefreshPanel>
    </center>
</div>
